module SurveyMonkey
  class Recipient
    attr_accessor :email, :first_name, :last_name, :custom_id
    
    def initialize(options = {})
      @email = options[:email]
      @first_name = options[:first_name]
      @last_name = options[:last_name]
      @custom_id = options[:custom_id]
      raise "Email Required for Recipient" if email.nil?
    end

    def to_hash
      hash = Hash.new
      hash["email"] = email unless email.nil?
      hash["first_name"] = first_name unless first_name.nil?
      hash["last_name"] = last_name unless last_name.nil?
      hash["custom_id"] = custom_id unless custom_id.nil?
      hash
    end
  end
end