module SurveyMonkey
  class Recipients
    include Enumerable

    def initialize(*recipients)
      @recipients = ( recipients || Array.new )
    end

    def each(&block)
      @recipients.each do |recipient|
        block.call(recipient)
      end
    end

    def <<(recipient)
      @recipients << recipient
    end

    def to_hash
      map { |e| e.to_hash }
    end

    def empty?
      count == 0
    end
  end
end